File: changelog

package info (click to toggle)
libdancer2-perl 0.204002+dfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 2,384 kB
  • ctags: 660
  • sloc: perl: 8,047; makefile: 2
file content (335 lines) | stat: -rw-r--r-- 11,106 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
libdancer2-perl (0.204002+dfsg-1) unstable; urgency=medium

  * Import upstream version 0.204002
  * Add a patch to fix a typo in the POD.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Dec 2016 01:32:30 +0100

libdancer2-perl (0.204001+dfsg-1) unstable; urgency=medium

  * Import upstream version 0.204001
  * Refresh remove-eumm-version-req.patch (offset).
  * Update build dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Oct 2016 01:05:28 +0200

libdancer2-perl (0.204000+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.204000.
  * Refresh remove-eumm-version-req.patch (offset).
  * debian/copyright:
    + update stanza for lib/Dancer2/Tutorial.pod.
    + add new uploader as upstream contact.
  * debian/control:
    + add new dependencies for testing libtest-eol-perl and
      libtest-perl-critic-perl to B-D-I.
    + add new runtime dependency libplack-middleware-removeredundantbody-perl.
    + add libclass-xsaccessor-perl to Recommends.

 -- Nuno Carvalho <smash@cpan.org>  Tue, 11 Oct 2016 15:27:07 +0100

libdancer2-perl (0.203001+dfsg-1) unstable; urgency=medium

  * Import upstream version 0.203001.
  * Refresh remove-eumm-version-req.patch (offset).
  * Update Build-Depends-Indep and Recommends.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Sep 2016 15:14:32 +0200

libdancer2-perl (0.203000+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Nuno Carvalho <smash@cpan.org>  Thu, 25 Aug 2016 11:04:29 +0100

libdancer2-perl (0.202000+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update remove-eumm-version-req.patch to match new generated files.
  * d/control:
    + add new dependency libmoox-types-mooselike-perl.
    + remove dependency libtype-tiny-perl, no longer required.
    + remove libtype-tiny-xs-perl from recommends.

 -- Nuno Carvalho <smash@cpan.org>  Mon, 22 Aug 2016 12:14:52 +0100

libdancer2-perl (0.201000+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update remove-eumm-version-req.patch to match new generated file.
  * d/control: update JSON related packages requirements and recommendations.

 -- Nuno Carvalho <smash@cpan.org>  Tue, 26 Jul 2016 14:16:58 +0100

libdancer2-perl (0.200003+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Nuno Carvalho ]
  * New upstream release.
  * Remove spelling.patch, fixed upstream.
  * Add a patch to remove ExtUtils::MakeMaker required version.

  [ gregor herrmann]
  * autopkgtest: run more tests in smoke test.

 -- Nuno Carvalho <smash@cpan.org>  Wed, 13 Jul 2016 11:20:04 +0100

libdancer2-perl (0.200002+dfsg-1) unstable; urgency=medium

  * Switch repackaging framework to Files-Excluded method.
  * Import upstream version 0.200002.
  * Remove build dependency on libtest-deep-perl.
  * Add a patch to fix a spelling mistake in the documentation.

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Jun 2016 21:08:48 +0200

libdancer2-perl (0.200000+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Nuno Carvalho ]
  * New upstream release.
  * Remove spelling patch, fixed upstream.
  * d/control:
    + update B-D-I and Depends according to new dependencies.
    + update Standards-Version to 3.9.8.
    + removed dependencies required versions (per cme suggestion).
  * d/copyright:
    + remove Deployment.pod specific stanza.
    + update copyright years.

  [ gregor herrmann ]
  * Run more tests during autopkgtest's smoke test.

 -- Nuno Carvalho <smash@cpan.org>  Wed, 01 Jun 2016 14:02:49 +0100

libdancer2-perl (0.166001+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 0.166001+dfsg.
  * Update years of packaging copyright.
  * Bump versioned (build) dependency on libplack-perl.
  * Declare compliance with Debian Policy 3.9.7.
  * Add a patch to fix spelling mistakes in the POD.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Feb 2016 19:35:31 +0100

libdancer2-perl (0.163000+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Nuno Carvalho ]
  * New upstream release.
  * Remove patch for correcting typo, fixed upstream.
  * d/control:
    + update librole-tiny-perl and libmoo-perl required versions.
    + remove libtemplate-perl from Depends, only required for testing.
  * d/copyright: remove script/dancer2 entry (redundant).

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s).
  * Add libtemplate-perl to Recommends, it's used by
    Dancer2/Template/TemplateToolkit.pm.

 -- Nuno Carvalho <smash@cpan.org>  Thu, 22 Oct 2015 18:25:18 +0100

libdancer2-perl (0.162000+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Nuno Carvalho ]
  * New upstream release.
  * Add patch for fixing documentation typo.
  * d/control:
    + remove libmodule-build-perl from B-D, Build.PL removed.
    + remove libtest-memory-cycle-perl and libtest-mocktime-perl from
      D-B-I, no longer required.

  [ gregor herrmann ]
  * Drop (build) dependency on libtry-tiny-perl. No longer needed.
  * Bump debhelper compatibility level to 9.

 -- Nuno Carvalho <smash@cpan.org>  Thu, 10 Sep 2015 01:38:35 +0100

libdancer2-perl (0.160003+dfsg-1) unstable; urgency=medium

  * Import new release 0.160003. Fixes
    - "Failure to get POST arguments with serializer JSON
      with version 0.152000" (Closes: #788488)
    - "FTBFS with Plack >= 1.0036: t/classes/Dancer2-Core-Response/new_from.t"
      (Closes: #789141)
  * Drop language.patch, merged upstream.
  * Add (build) dependency on libhttp-headers-fast-perl.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jun 2015 17:37:23 +0200

libdancer2-perl (0.160001+dfsg-1) unstable; urgency=medium

  [ Nuno Carvalho ]
  * Team upload.
  * Drop t-basename-metachars.patch, fixed upstream.
  * Update dependencies.
  * Remove libdancer2-perl.docs, file removed upstream.
  * Update lintian overrides due to upstream file changes.
  * Update years of upstream copyright.
  * d/copyright:
    + fix upstream name in d/copyright
    + update copyright information for some specific files

  [ gregor herrmann ]
  * Tweak build and runtime dependencies a bit more.
  * Add a patch to fix minor spelling issues.

 -- Nuno Carvalho <smash@cpan.org>  Fri, 15 May 2015 20:19:58 +0100

libdancer2-perl (0.152000+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Make build dependency on libfile-sharedir-install-perl versioned.
  * Mark package as autopkgtest-able.
  * Add patch to fix test failure in new test which occurs with regexp
    pattern meta-characters in the build path.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Oct 2014 20:24:46 +0200

libdancer2-perl (0.150000+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Imported Upstream version 0.150000+dfsg
  * Update Build-Depends-Indep and and Depends.
  * Explicitly build-depend on libmodule-build-perl.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Oct 2014 21:30:10 +0200

libdancer2-perl (0.143000+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add (build) dependency on libmodule-runtime-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Jul 2014 15:43:07 +0200

libdancer2-perl (0.140001+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update years of upstream copyright.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 May 2014 14:42:24 +0200

libdancer2-perl (0.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Drop pod-encoding.patch, fixed upstream.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Apr 2014 18:01:09 +0200

libdancer2-perl (0.11+dfsg-1) unstable; urgency=medium

  * Update repackaging framework.
    Starting with 0.11, script/dancer2 doesn't embedd files;
    but we want to remove the minified jQuery copy.

  * New upstream release.
  * Update (build) dependencies.
  * Update debian/copyright.
  * Use the packaged jQuery instead of the removed convenience copy.
  * Add patch to add encoding declaration to POD.
  * Add lintian overrides for template scripts.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Dec 2013 17:17:36 +0100

libdancer2-perl (0.10+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Remove patch to correct typo, fixed upstream.
  * d/control: add new dependency liblwp-protocol-psgi-perl.

 -- Nuno Carvalho <smash@cpan.org>  Thu, 03 Oct 2013 16:33:50 +0100

libdancer2-perl (0.09+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * d/control: remove libmodule-runtime-perl dependency.
  * d/control: add new dependencies libclass-load-perl and librole-tiny.
  * d/control: add libclass-load-xs-perl suggestion.
  * d/control: improved package extended description.
  * d/rules: remove override_dh_installexamples, since it only calling
    dh_installexamples.
  * Add patch to fix spelling error in POD documentation.

 -- Nuno Carvalho <smash@cpan.org>  Mon, 02 Sep 2013 16:25:29 +0100

libdancer2-perl (0.07+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * d/control: add new dependecy libtest-script-perl.
  * d/control: remove libpath-class-perl from D-B-I.
  * d/control: require libmoo-perl >= 1.003000.
  * Remove spelling patch, fixed upstream.

 -- Nuno Carvalho <smash@cpan.org>  Sat, 03 Aug 2013 10:22:16 +0100

libdancer2-perl (0.06+dfsg-1) unstable; urgency=low


  * Team upload. 

  [ Nuno Carvalho ]
  * New upstream release.
  * d/control: add new dependecy.
  * d/libdancer2-perl.docs: TODO* files removed upstream.
  * contrib/*, cover.sh and progress.sh files removed.

  [ gregor herrmann ]
  * Upload to unstable.

 -- Nuno Carvalho <smash@cpan.org>  Wed, 31 Jul 2013 18:23:29 +0100

libdancer2-perl (0.04+dfsg-1) experimental; urgency=low

  * New upstream release.
  * This release contains script/dancer2:
    - add repacking framework from libdancer-perl to get rid of uuencoded
      images and use the local jquery library
    - recommend libjs-jquery
    - add copyright/license for script/dancer2
  * Update build/runtime dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Jun 2013 15:55:33 +0200

libdancer2-perl (0.03-1) experimental; urgency=low

  * New upstream release.
  * Add new (build) dependency on libmodule-runtime-perl.
  * debian/copyright: add information about a third-party file.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Apr 2013 20:50:37 +0200

libdancer2-perl (0.02-1) experimental; urgency=low

  * Initial release (closes: #701221).

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Mar 2013 00:04:27 +0100